import React from 'react';
import { ConnectContextOptions, ConnectContextFactory, KeyValue, ComputedSelectors } from './typings';
declare function connectContext<T = any>(Context: React.Context<T>, Component: React.ComponentType, options?: ConnectContextOptions): React.FunctionComponent;
declare function connectContextFactory<T = any>(Context: React.Context<T>): ConnectContextFactory;
declare function useConnectedContextFactory<T = any>(Context: React.Context<T>): (options?: ConnectContextOptions) => KeyValue;
declare function mergedConnectContextFactory(contexts: React.Context<any>[]): ConnectContextFactory;
declare function useMergedConnectedContextFactory(contexts: React.Context<any>[]): (options?: ConnectContextOptions) => KeyValue;
declare function getMergedProps(selectedState: KeyValue, selectedActions: KeyValue, props?: KeyValue, computedSelectors?: ComputedSelectors): {};
export default connectContext;
export { connectContextFactory, useConnectedContextFactory, mergedConnectContextFactory, useMergedConnectedContextFactory, getMergedProps, };
